<ng-container *ngIf="{ config: config$ | async } as vm">
  <mat-sidenav-container>
    <mat-sidenav #sidenav>
      <mat-toolbar color="primary">
        <a mat-icon-button
           [routerLink]="['/']"
           angulartics2On="click"
           angularticsLabel="home"
           angularticsAction="nav"
           angularticsCategory="toolbar">
          <img
            [src]="'common.layout.toolbar.home.picture.url' | translate"
            [alt]="'common.layout.toolbar.home.picture.description' | translate" />
        </a>
        <button mat-icon-button (click)="sidenav.close()"
                [attr.aria-label]="'common.layout.toolbar.close' | translate"
                angulartics2On="click"
                angularticsLabel="nav-menu"
                angularticsAction="close"
                angularticsCategory="toolbar">
          <mat-icon>
            close
          </mat-icon>
        </button>
      </mat-toolbar>
      <app-nav-menu></app-nav-menu>
    </mat-sidenav>

    <mat-sidenav-content>
      <mat-toolbar color="primary"
                   [class.hide]="vm.config.hideToolBar"
                   [class.show]="!vm.config.hideToolBar">
        <button mat-icon-button (click)="sidenav.open()"
                [attr.aria-label]="'common.layout.toolbar.open' | translate"
                angulartics2On="click"
                angularticsLabel="nav-menu"
                angularticsAction="open"
                angularticsCategory="toolbar">
          <mat-icon>menu</mat-icon>
        </button>
        <app-user-menu></app-user-menu>
      </mat-toolbar>

      <ng-content select="[app-layout-content]"></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>

</ng-container>
